#{extends 'borderCleanLogin.html' /}
#{set 'titleHead'}
Login Admin PPE
#{/set}
<center>
    <div class="card card-primary" style="width:300px;text-align: left;">
        <div class="card-body">
            <div class="text-center">
                <h5><b>LOGIN ADMIN PPE</b></h5>
            </div><br>
        ${error}
        #{alert/}
        #{form @admin.Login2Ctr.loginAdminSubmit(), id:'formAdmin', method:'POST', autocomplete:'off'}
            <input type="hidden" name="txtUserId" id="userid2"/>
            <div class="form-group">
                <div class="input-group">
                    <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-user"></i></span></div>
                    <input id="txtUserId2" type="text" class="form-control #{validate 'txtUserId'/}" placeholder="User ID" />
                    <div class="invalid-feedback">#{error 'txtUserId' /}</div>
                </div>
            </div>
            <div class="form-group">
                <button class="btn btn-success btn-block" type="submit">Login</button>
            </div>
            <div class="col-md-offset-4" align="center">
                Kembali ke <a href="@{controllers.PublikCtr.index()}">Beranda</a>
            </div>
        #{/form}
        </div>
    </div>
</center>

#{set 'custom_script' }
<script type="text/javascript" src="#{assets '/js/aes.js' /}"></script>
<script type="text/javascript" src="#{assets '/js/pbkdf2.js' /}"></script>
<script type="text/javascript" src="#{assets '/js/AesUtil.js' /}"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('#formAdmin').submit(function(){
            var userid = $('#txtUserId2').val();
            if(userid) {
                var aesUtil = new AesUtil(256, 1000);
                var cipherUser = aesUtil.encrypt('${salt}', '${iv}', '${token}', userid);
                $('#userid2').val(cipherUser);
            }
        });
    });
</script>
#{/set}